<?php
    require_once("../../PHPMailer/src/PHPMailer.php");
    require_once("../../PHPMailer/src/Exception.php");
    require_once("../../PHPMailer/src/SMTP.php");
    
    use PHPMailer\PHPMailer\PHPMailer;
    use PHPMailer\PHPMailer\SMTP;
    use PHPMailer\PHPMailer\Exception;
    
    include("../class/dB.class.php");
    
    session_start();
    
    if ( $_SESSION['auth'] != true)
    {
        $_SESSION['auth'] = false;
    	header("Location: ../login.php");
    }

    if(isset($_GET["uid"]))
    {
        $uid = $_GET["uid"]; 
    }
    else
    {
        header('Location: ../index.php?pageId=9');
    }
    
    $mydb= new DB_MySQL('zeltlager','zeltlager','Z3ltlager3363','localhost');
    
    $mail = new PHPMailer();
    
    $mail->IsSMTP(); // send via SMTP
    $mail->Host = "mail.fischerkoenig.de"; // SMTP servers
    $mail->Port = "587";
    $mail->SMTPAuth = true; // turn on SMTP authentication
    $mail->Username = "mail@zeltlageranmeldung.de"; // SMTP username
    $mail->Password = "Z3ltlagerMail!"; // SMTP password
    
    $mail->From = "mail@zeltlageranmeldung.de";
    $mail->FromName = "Evang. Gemeindejugend Memmingen";
      
    //Empfängeradresse setzen
    $mydb->query("SELECT * FROM AnmeldungAdressen WHERE uid='$uid'");
    $row = $mydb->fetchRow();
    $mail->AddAddress($row['email']);
    
    //Betreff der Email setzen
    $mail->Subject = "Zeltlageranmeldung Evang. Gemeindejugend Memmingen";
     
    //Text der EMail setzen
    $mailtext ="Hallo Lagerteilnehmer! \n\nIm Anhang findest Du die Anmeldung für das Zeltlager der Evang. Gemeindejugend Memmingen.\n
Das Dokument wurde neu verschickt, da sich ein oder mehrere Daten geändert haben.\n
Bitte unterschreibe die Anmeldung und schickt sie per Post an die angegebene Adresse oder eingescannt per Mail an mail@zeltlageranmeldung.de.\n
Nur wenn dieses Dokument bei uns ankommt, ist die Anmeldung abgegeben!\n\n
Die Lagerleitung freut sich auf Dich!\n\nEvang. Gemeindejugend Memmingen";
    $mail->Body = utf8_decode($mailtext);
    
    $mail->IsHTML(false);
    
    // Anhang
    $filepath = '../../pdf/' . $uid . '.pdf';
    $mail->AddAttachment($filepath,"Anmeldeformular.pdf"); 
    
    //EMail senden und überprüfen ob sie versandt wurde
    if(!$mail->Send())
    {
       echo "Die Email konnte nicht gesendet werden";
       echo "Fehler: " . $mail->ErrorInfo;
    }
    else
    {
       $mydb->query("UPDATE AnmeldungStatus SET versand = '1' WHERE uid='$uid'");
       echo "Die Email mit dem Anmeldeformular wurde an folgende E-Mailadresse: " . $row['email']. " versandt...";
    }
    
    $mail->ClearAddresses();
    $mail->ClearAttachments();
    
    $mydb->disconnect();
    
    echo "<br><br><a href=\"../index.php?pageId=9\">...zur&uuml;ck zur &Uuml;bersicht</a>";
   
?>